%define upstream_name Event-ExecFlow
%define upstream_version 0.64
%define filelist %{upstream_name}-%{upstream_version}-filelist
%define NVR %{upstream_name}-%{upstream_version}-%{release}
%define maketest 1

%{?perl_default_filter}

Name:      perl-%{upstream_name}
Summary:   Event-RPC - High level API for event-based execution flow control
Version:   %perl_convert_version %{upstream_version}
Release:   %mkrel 12
License:   Artistic
Group:     Development/Perl
URL:       https://www.exit1.org/%{upstream_name}
SOURCE:    https://cpan.metacpan.org/authors/id/J/JR/JRED/%{upstream_name}-%{upstream_version}.tar.bz2

Buildarch: noarch
BuildRequires: perl-devel
BuildRequires: perl(AnyEvent)
BuildRequires: perl-libintl-perl

%description
Event::ExecFlow provides a high-level API for defining complex flow
controls with asynchronous execution of external programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%__perl Makefile.PL `%__perl -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLDIRS=vendor
%make_build
%check
chmod 755 bin/*
%make_build test

%install
%make_install `%__perl -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null


%files
%doc README Changes
%{_bindir}/execflow
%{perl_vendorlib}/Event/ExecFlow*
%{_mandir}/man3/Event::ExecFlow*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.640.0-12.mga10
+ Revision: 2198701
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.640.0-11.mga9
+ Revision: 1803494
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.640.0-10.mga8
+ Revision: 1494447
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.640.0-9.mga7
+ Revision: 1267862
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.640.0-8.mga6
+ Revision: 1026968
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.640.0-7.mga6
+ Revision: 971870
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.640.0-6.mga6
+ Revision: 893428
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 0.640.0-5.mga5
+ Revision: 743469
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.640.0-4.mga5
+ Revision: 684654
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.640.0-3.mga4
+ Revision: 511416
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.640.0-2.mga3
+ Revision: 366940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.640.0-1.mga1
+ Revision: 33759
- mageia rebuild
- imported package perl-Event-ExecFlow


* Wed Jan 06 2010 Götz Waschk <waschk@mandriva.org> 0.640.0-1mdv2010.1
+ Revision: 486564
- update to new version 0.64

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 0.630.0-1mdv2010.0
+ Revision: 401505
- use perl version macro

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.63-3mdv2009.0
+ Revision: 256812
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.63-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.63-1mdv2007.1
+ Revision: 13562
- new version


* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 0.62-1mdk
- New release 0.62

* Mon Apr 03 2006 Götz Waschk <waschk@mandriva.org> 0.61-2mdk
- fix buildrequires
- fix URL

* Mon Apr 03 2006 Götz Waschk <waschk@mandriva.org> 0.61-1mdk
- initial package

